> For AI agents: the complete documentation index is available at [llms.txt](https://docs.snaptrade.com/llms.txt). Markdown versions of documentation pages are available by appending .md to the URL path.

# List all users

GET https://api.snaptrade.com/snapTrade/listUsers

Returns a list of all registered user IDs. Please note that the response is not currently paginated.

Reference: https://docs.snaptrade.com/reference/Authentication/Authentication_listSnapTradeUsers

## Code Examples

### TypeScript

```typescript

import { Snaptrade } from "snaptrade-typescript-sdk";

const snaptrade = new Snaptrade({
  clientId: "PARTNER_CLIENT_ID",
  consumerKey: "CONSUMER_KEY",
});

const response =
  await snaptrade.authentication.listSnapTradeUsers();
console.log(response.data);

```

### Python

```python

from pprint import pprint
from snaptrade_client import SnapTrade

snaptrade = SnapTrade(
    client_id="PARTNER_CLIENT_ID",
    consumer_key="CONSUMER_KEY"
)

response = snaptrade.authentication.list_snap_trade_users()
pprint(response.body)

```

## OpenAPI Specification

```yaml

openapi: 3.0.0
info:
  description: Connect brokerage accounts to your app for live positions and trading
  version: 1.0.0
  title: SnapTrade
  termsOfService: N/A
  contact:
    email: api@snaptrade.com
  x-konfig-ignore:
    potential-incorrect-type: true
  x-readme:
    explorer-enabled: false
paths:
  /snapTrade/listUsers:
    get:
      tags:
        - Authentication
      summary: List all users
      operationId: Authentication_listSnapTradeUsers
      description: >-
        Returns a list of all registered user IDs. Please note that the response
        is not currently paginated.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                description: List of registered SnapTrade user IDs
                type: array
                items:
                  description: >-
                    SnapTrade User ID. This is chosen by the API partner and can
                    be any string that is a) unique to the user, and b)
                    immutable for the user. It is recommended to NOT use email
                    addresses for this property because they are usually not
                    immutable.
                  type: string
                  example: snaptrade-user-123
                example:
                  - user1
                  - user2
                  - user3
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                description: Example for failed request response
                type: object
                properties:
                  default_detail:
                    example: Unable to verify data sent
                  default_code:
                    example: 1076
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                description: Example for failed request response
                type: object
                properties:
                  default_detail:
                    example: The requested resource does not exist.
                  default_code:
                    example: 1011
        '500':
          description: Unexpected Error
          content:
            application/json:
              schema:
                description: Example for a response that failed for unexpected reasons
                type: object
                properties:
                  detail:
                    example: Encountered an unexpected exception.
                  status_code:
                    example: 500
                  code:
                    example: 1000

```